org.keycloak.representations.adapters.config

## Class BaseRealmConfig

- java.lang.Object
- - org.keycloak.representations.adapters.config.BaseRealmConfig

- Direct Known Subclasses:
    BaseAdapterConfig, ClientManager.InstallationAdapterConfig

      public class BaseRealmConfig
      extends Object

  Common Realm Configuration
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `authServerUrl`
    `protected int` | `confidentialPort`
    `protected String` | `realm`
    `protected String` | `realmKey`
    `protected String` | `sslRequired`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseRealmConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthServerUrl()`
    `int` | `getConfidentialPort()`
    `String` | `getRealm()`
    `String` | `getRealmKey()`
    `String` | `getSslRequired()`
    `void` | `setAuthServerUrl(String authServerUrl)`
    `void` | `setConfidentialPort(int confidentialPort)`
    `void` | `setRealm(String realm)`
    `void` | `setRealmKey(String realmKey)`
    `void` | `setSslRequired(String sslRequired)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### realm

          protected String realm

    - #### realmKey

          protected String realmKey

    - #### authServerUrl

          protected String authServerUrl

    - #### sslRequired

          protected String sslRequired

    - #### confidentialPort

          protected int confidentialPort

  - ### Constructor Detail

    - #### BaseRealmConfig

          public BaseRealmConfig()

  - ### Method Detail

    - #### getSslRequired

          public String getSslRequired()

    - #### setSslRequired

          public void setSslRequired(String sslRequired)

    - #### getRealm

          public String getRealm()

    - #### setRealm

          public void setRealm(String realm)

    - #### getRealmKey

          public String getRealmKey()

    - #### setRealmKey

          public void setRealmKey(String realmKey)

    - #### getAuthServerUrl

          public String getAuthServerUrl()

    - #### setAuthServerUrl

          public void setAuthServerUrl(String authServerUrl)

    - #### getConfidentialPort

          public int getConfidentialPort()

    - #### setConfidentialPort

          public void setConfidentialPort(int confidentialPort)

Copyright © 2020 JBoss by Red Hat. All rights reserved.